<?php
$wp_customize->add_section(
    'home_page_shop_option',
    array(
        'title'      => __( 'Shop  Section Options', 'blogmotive' ),
        'panel'      => 'theme_home_option_panel',
    )
);

/* Home Page Layout */
$wp_customize->add_setting(
    'blogmotive_options[enable_shop_section]',
    array(
        'default'           => $default_options['enable_shop_section'],
        'sanitize_callback' => 'blogmotive_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogmotive_options[enable_shop_section]',
    array(
        'label'   => __( 'Enable Shop Section', 'blogmotive' ),
        'section' => 'home_page_shop_option',
        'type'    => 'checkbox',
    )
);

$wp_customize->add_setting(
    'blogmotive_options[shop_post_title]',
    array(
        'default'           => $default_options['shop_post_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogmotive_options[shop_post_title]',
    array(
        'label'    => __( 'Shop Post Title', 'blogmotive' ),
        'section'  => 'home_page_shop_option',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'blogmotive_options[shop_post_description]',
    array(
        'default'           => $default_options['shop_post_description'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogmotive_options[shop_post_description]',
    array(
        'label'    => __( 'Shop Post Description', 'blogmotive' ),
        'section'  => 'home_page_shop_option',
        'type'     => 'textarea',
    )
);

$wp_customize->add_setting(
    'blogmotive_options[shop_select_product_from]',
    array(
        'default'           => $default_options['shop_select_product_from'],
        'sanitize_callback' => 'blogmotive_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogmotive_options[shop_select_product_from]',
    array(
        'label'       => __( 'Select Product From', 'blogmotive' ),
        'section'     => 'home_page_shop_option',
        'type'        => 'select',
        'choices' => array(
            'custom'            => __('Custom Select', 'blogmotive'),
            'recent-products'   => __('Recent Products', 'blogmotive'),
            'popular-products'  => __('Popular Products', 'blogmotive'),
            'sale-products'     => __('Sale Products', 'blogmotive'),
        )
    )
);


$wp_customize->add_setting(
    'blogmotive_options[select_product_category]',
    array(
        'default'           => $default_options['select_product_category'],
        'sanitize_callback' => 'blogmotive_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogmotive_options[select_product_category]',
    array(
        'label'   => __( 'Select Product Category', 'blogmotive' ),
        'section' => 'home_page_shop_option',
        'type'        => 'select',
        'choices'     => blogmotive_woocommerce_product_cat(),
        'active_callback' => 'blogmotive_shop_select_product_from'
    )
);

$wp_customize->add_setting(
    'blogmotive_options[shop_number_of_column]',
    array(
        'default'           => $default_options['shop_number_of_column'],
        'sanitize_callback' => 'blogmotive_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogmotive_options[shop_number_of_column]',
    array(
        'label'       => __( 'Select Number Of Column', 'blogmotive' ),
        'section'     => 'home_page_shop_option',
        'type'        => 'select',
        'choices' => array(
            '2'  => __('2', 'blogmotive'),
            '3'  => __('3', 'blogmotive'),
            '4'  => __('4', 'blogmotive'),
        )
    )
);

$wp_customize->add_setting(
    'blogmotive_options[shop_number_of_product]',
    array(
        'default'           => $default_options['shop_number_of_product'],
        'sanitize_callback' => 'blogmotive_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogmotive_options[shop_number_of_product]',
    array(
        'label'       => __( 'Select Number Of Product', 'blogmotive' ),
        'section'     => 'home_page_shop_option',
        'type'        => 'select',
        'choices' => array(
            '2'  => __('2', 'blogmotive'),
            '3'  => __('3', 'blogmotive'),
            '4'  => __('4', 'blogmotive'),
            '5'  => __('5', 'blogmotive'),
            '6'  => __('6', 'blogmotive'),
            '7'  => __('7', 'blogmotive'),
            '8'  => __('8', 'blogmotive'),
            '9'  => __('9', 'blogmotive'),
            '10'  => __('10', 'blogmotive'),
            '11'  => __('11', 'blogmotive'),
            '12'  => __('12', 'blogmotive'),
        )
    )
);

$wp_customize->add_setting(
    'blogmotive_options[shop_post_button_text]',
    array(
        'default'           => $default_options['shop_post_button_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogmotive_options[shop_post_button_text]',
    array(
        'label'    => __( 'Shop section Button Text', 'blogmotive' ),
        'section'  => 'home_page_shop_option',
        'type'     => 'text',
    )
);
$wp_customize->add_setting(
    'blogmotive_options[shop_post_button_url]',
    array(
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'blogmotive_options[shop_post_button_url]',
    array(
        'label'           => __( 'Button Link', 'blogmotive' ),
        'section'         => 'home_page_shop_option',
        'type'            => 'text',
        'description'     => __( 'Leave empty if you don\'t want the image to have a link', 'blogmotive' ),
    )
);